> For the complete documentation index, see [llms.txt](https://docs.licensespring.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.licensespring.com/license-entitlements/license-activation-types/online-license-activation.md).

# Online License Activation

{% hint style="info" %}
Online license activations are done via the license API, and can be initialized through one of the SDKs that we maintain. For more information on license activation via one of the SDKs or via the license API, please review their respective articles in this documentation.
{% endhint %}

### General Process

{% stepper %}
{% step %}

### Issue and dispatch the license

A license must first be issued, and dispatched to the end user.
{% endstep %}

{% step %}

### End-user provides authorization

The end-user will enter the license authorization mechanism (usually a license key or an email/password, but we also support activating licenses using single sign on) into their software application.
{% endstep %}

{% step %}

### Software communicates with LicenseSpring

The software will attempt to communicate with the LicenseSpring server. If this license is authorized and valid, the server will return the License information.
{% endstep %}
{% endstepper %}

### Required Fields to Make a Valid Activation Request

Generally speaking, the client application will need to send at a minimum the following information to the LicenseSpring server in order to activate a license:

* `hardware_id`: unique device, session, or environment identifier, usually computed by the SDK.
* `product_code`: This is a field that is set when initializing the product.
* license authorization: Either a license key, or user credentials, depending on the authorization set on the product.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.licensespring.com/license-entitlements/license-activation-types/online-license-activation.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
